diff -pruN 2.0.8-5/debian/changelog 2.0.8-6/debian/changelog
--- 2.0.8-5/debian/changelog	2021-11-14 20:21:57.000000000 +0000
+++ 2.0.8-6/debian/changelog	2024-04-30 12:51:55.000000000 +0000
@@ -1,3 +1,19 @@
+kst (2.0.8-6) unstable; urgency=medium
+
+  * QA upload.
+
+  * Added d/gbp.conf to describe branch layout.
+  * Updated vcs in d/control to Salsa.
+  * Updated d/gbp.conf to enforce the use of pristine-tar.
+  * Updated Standards-Version from 4.6.0 to 4.7.0.
+  * Use wrap-and-sort -at for debian control files
+  * Replaced obsolete pkg-config build dependency with pkgconf.
+  * Set upstream metadata fields: Archive, Bug-Database.
+  * Removed duplicate entry in d/copyright.
+  * Updated lintian overrides for source for accuracty and new format.
+
+ -- Petter Reinholdtsen <pere@debian.org>  Tue, 30 Apr 2024 14:51:55 +0200
+
 kst (2.0.8-5) unstable; urgency=medium
 
   * QA upload.
diff -pruN 2.0.8-5/debian/control 2.0.8-6/debian/control
--- 2.0.8-5/debian/control	2021-11-14 20:14:17.000000000 +0000
+++ 2.0.8-6/debian/control	2024-04-30 11:08:10.000000000 +0000
@@ -2,41 +2,38 @@ Source: kst
 Section: science
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends:
- cmake (>=2.8),
- debhelper-compat (= 13),
- docbook-xsl,
- libcfitsio-dev,
- libgetdata-dev,
- libgsl-dev,
- libmatio-dev,
- libnetcdf-dev,
- pkg-config,
- qtbase5-dev,
- qtbase5-dev-tools,
- qttools5-dev,
- xsltproc,
-Standards-Version: 4.6.0
+Build-Depends: cmake (>=2.8),
+               debhelper-compat (= 13),
+               docbook-xsl,
+               libcfitsio-dev,
+               libgetdata-dev,
+               libgsl-dev,
+               libmatio-dev,
+               libnetcdf-dev,
+               pkgconf,
+               qtbase5-dev,
+               qtbase5-dev-tools,
+               qttools5-dev,
+               xsltproc,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://kst-plot.kde.org/
+Vcs-Browser: https://salsa.debian.org/debian/kst
+Vcs-Git: https://salsa.debian.org/debian/kst.git
 
 Package: kst
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Breaks:
- kst-data (<< 2.0.6),
- libkst2core2 (<< 2.0.6),
- libkst2math2 (<< 2.0.6),
- libkst2widgets2 (<< 2.0.6),
-Replaces:
- kst-data (<< 2.0.6),
- libkst2core2 (<< 2.0.6),
- libkst2math2 (<< 2.0.6),
- libkst2widgets2 (<< 2.0.6),
-Recommends:
- kst-doc,
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: kst-data (<< 2.0.6),
+        libkst2core2 (<< 2.0.6),
+        libkst2math2 (<< 2.0.6),
+        libkst2widgets2 (<< 2.0.6),
+Replaces: kst-data (<< 2.0.6),
+          libkst2core2 (<< 2.0.6),
+          libkst2math2 (<< 2.0.6),
+          libkst2widgets2 (<< 2.0.6),
+Recommends: kst-doc,
 Description: scientific data plotting tool
  Kst is a fast real-time large-dataset viewing and plotting tool.
  It has basic data analysis functionality, contains many powerful
@@ -45,8 +42,7 @@ Description: scientific data plotting to
 Package: kst-doc
 Section: doc
 Architecture: all
-Depends:
- ${misc:Depends},
+Depends: ${misc:Depends},
 Multi-Arch: foreign
 Description: set of tutorials for kst
  Kst is a fast real-time large-dataset viewing and plotting tool.
diff -pruN 2.0.8-5/debian/copyright 2.0.8-6/debian/copyright
--- 2.0.8-5/debian/copyright	2021-11-14 20:14:01.000000000 +0000
+++ 2.0.8-6/debian/copyright	2024-04-30 07:08:11.000000000 +0000
@@ -96,12 +96,7 @@ Files: src/libkst/dataprimitive.*
        src/libkst/scalar.*
        src/libkst/vector.*
        src/libkst/vscalar*
-       src/libkstmath/curve.*
-       src/libkstmath/curvepointsymbol.*
-Copyright: © 2000-2009, cbn
-License: GPL-2.0+
-
-Files: src/libkst/namedobject.*
+       src/libkst/namedobject.*
        src/libkst/shortnameindex.*
        src/libkstmath/curve.*
        src/libkstmath/curvepointsymbol.*
diff -pruN 2.0.8-5/debian/gbp.conf 2.0.8-6/debian/gbp.conf
--- 2.0.8-5/debian/gbp.conf	1970-01-01 00:00:00.000000000 +0000
+++ 2.0.8-6/debian/gbp.conf	2024-04-30 06:56:56.000000000 +0000
@@ -0,0 +1,4 @@
+[DEFAULT]
+debian-branch   = debian/latest
+upstream-branch = upstream/latest
+pristine-tar    = True
diff -pruN 2.0.8-5/debian/source/lintian-overrides 2.0.8-6/debian/source/lintian-overrides
--- 2.0.8-5/debian/source/lintian-overrides	2021-11-14 20:12:55.000000000 +0000
+++ 2.0.8-6/debian/source/lintian-overrides	2024-04-30 12:47:47.000000000 +0000
@@ -1,6 +1,5 @@
 # fixing the groff markup of a patch
-kst source: license-problem-gfdl-invariants debian/patches/upstream_Fix-hypens-used-as-minus-signs.patch invariant part is: with no invariant sections, with no front-cover texts, and with no back-cover invariant sections, with no front-cover texts, and with no back-cover texts
-# fixing the groff markup of a patch
-kst source: license-problem-gfdl-non-official-text src/kst/kst.1.txt invariant part is: with no invariant sections, with no front-cover texts, and with no back-cover texts
-# the actual text is correct
-kst source: license-problem-gfdl-non-official-text docbook/kst/alternatehtml/alternate-index.html invariant part is: with no invariant sections, with no front-cover texts, and with no back-cover texts
+kst source: license-problem-gfdl-invariants invariant part is: with no invariant sections, with no front-cover texts, and with no back-cover invariant sections, with no front-cover texts, and with no back-cover texts [debian/patches/upstream_Fix-hypens-used-as-minus-signs.patch]
+
+# Generated from docbook
+kst source: source-is-missing [docbook/kst/alternatehtml/alternate-index.html]
diff -pruN 2.0.8-5/debian/upstream/metadata 2.0.8-6/debian/upstream/metadata
--- 2.0.8-5/debian/upstream/metadata	1970-01-01 00:00:00.000000000 +0000
+++ 2.0.8-6/debian/upstream/metadata	2024-04-30 06:57:36.000000000 +0000
@@ -0,0 +1,3 @@
+---
+Archive: SourceForge
+Bug-Database: http://kst-plot.kde.org/
